gradle : Resolve dependencies ':classpath'

一直卡在这个东西上, 查询 baidu google 上做法, 配置好代理也是这样 求助。。
然后出现了这种情况
Error:A problem occurred configuring root project 'appstoreV3'.

Could not resolve all dependencies for configuration ':classpath'.
Could not resolve com.android.tools.build:gradle:2.0.0.
Required by:
:appstoreV3:unspecified
> Could not resolve com.android.tools.build:gradle:2.0.0.
> Could not get resource 'https://jcenter.bintray.com/com/android/tools/build/gradle/2.0.0/gradle-2.0.0.pom'.
> Could not GET 'https://jcenter.bintray.com/com/android/tools/build/gradle/2.0.0/gradle-2.0.0.pom'.
> Connect to jcenter.bintray.com:443 [jcenter.bintray.com/35.163.95.201, jcenter.bintray.com/35.160.48.73] failed: Connection refused: connect
Could not resolve com.bugtags.library:bugtags-gradle:latest.integration.
Required by:
:appstoreV3:unspecified
> Could not resolve com.bugtags.library:bugtags-gradle:latest.integration.
> Failed to list versions for com.bugtags.library:bugtags-gradle.
> Unable to load Maven meta-data from https://jcenter.bintray.com/com/bugtags/library/bugtags-gradle/maven-metadata.xml.
> Could not GET 'https://jcenter.bintray.com/com/bugtags/library/bugtags-gradle/maven-metadata.xml'.
> Connect to jcenter.bintray.com:443 [jcenter.bintray.com/35.163.95.201, jcenter.bintray.com/35.160.48.73] failed: Connection refused: connect

0

1个回答

0
Nice_czm
xxxxsong 好像没用,我这边公司网络,看了下别人的配置 都是一样的。设置完其他之后就出现Error:Connection refused: connect了
大约 2 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
gradle下载更新依赖库失败的解决办法 - 依赖库下载加速1000%
现在的项目越来越多的使用gradle来构建项目,完成项目的依赖以及编译等工作。特别是有了google的Android Studio这个富二代,开发的Android项目默认支持gradle,搞得gradle从一个默默无闻的小妹子直接晋升为新一代的国民女神! 跟gradle互动的确能带来很多快感,不过这个妹子远在异国他乡,国内又没有适合它的(网络)环境,没有一个很好的家给她住(镜像库渠道来存储依赖
Gradle入门指南(二)
转载请标明出处: 本文出自:【ouyida3的博客】注意:本文内容都是通过gradle命令行完成,不涉及eclipse的插件。1、先阅读Gradle入门指南(一)2、常用命令gradle -v gradle build gradle build --stacktrace gradle publish gradle -q publish gradle clean gradle complieJav
内网下解决dependencies的classpath依赖问题
参考:Could not resolve com.android.tools.build:gradle:0.5.+ 原文: 使用Android studio Gradle 打包Android项目遇到  couldnot resolve com.android.tools.build:gradle:1.3.0 错误,与http://stackoverflow.com/q
spring用gradle导入eclipse时异常导致失败
一、出现的异常 FAILURE: Build failed with an exception. * What went wrong: Execution failed for task ':spring-webmvc-tiles3:eclipseClasspath'. > Could not resolve all dependencies for configuration '
[异常记录] 无法解析配置':app:debugRuntimeClasspath'的所有依赖项。
今天项目导入 com.writingminds:FFmpegAndroid:0.3.2 时出现: Could not resolve all dependencies for configuration ':app:debugRuntimeClasspath'. Could not determine artifacts for com.writingminds:FFmpegAndroid:0....
解决 gradle 始终在Building的问题
发现新建工程时卡在Gradle:Resolvedependencies':app:_debugCompile' Gradle默认每次编译都会resolve dependencies,每次都会去进行网络请求。如果你那边访问jCenter很慢,光是这个步骤说不定就要十几分钟。 解决方法是在Project Preferences的Gradle那里启用Offline work。注意
Android Studio 简单介绍和使用问题小结
google在2013的I/O开发者大会上引入的该开发工具。现在是0.5.8版本。 现在github的很多项目都使用了Android Studio开发,所以如果你还用Eclipse,就需要把整个项目拆分, 然后在工程中include依赖包,是非常费事的,有时候弄了半天还不一定能成功导入。而且Android开发者工具的未来的趋势一定也是转向Android Studio。 所以种种原因,不得不学
Gradle项目中gradle.build文件中的buildScript代码块
感谢原作者的劳动 在编写Gradle脚本的时候,在build.gradle文件中经常看到这样的代码:buildScript { repositories { mavenCentral() } }repositories { mavenCentral() }这样子很容易让人奇怪,为什么repositories要声明两次哪?buildscript代码块中的声
003关于项目根目录build.gradle中的classpath使用Groovy类管理
1.首先建立buildSrc文件夹,根据如下文章描述:https://blog.csdn.net/haha_zhan/article/details/74127463 2.如果报错:compileGroovy,可能是buildSrc当中某个类写错了,我这里是写错了,然后报错,但是却没有指出具体哪里的报错,后来仔细看了下,发现是变量名写错了,导致引用该变量名的时候错误 3.Gradle failed...
Gradle 使用技巧(三) - dependencies 的类型与区别
前言 dependencies对于Android开发人员来说,并不陌生, 它是用来配置当项目的依赖项,接收的是一个DependencyHandler的闭包。 dependencies的类型 dependencies的类型可以分为以下几种 - compile - testCompile - androidTestcompile - debugCompile ...
gradle配置优化及dependencies中各种依赖方式说明
一.前言 当我们用AndroidStudio新建项目时候发现默认的compile已经改为了implementation. implementation以前并没有接触过,这里干脆总结一下dependencies中各种依赖方式的区别. 二.各种依赖方式说明 implementation 这个指令的特点就是,对于使用了该命令编译的依赖,对该项目有依赖的项目将无法访问到使用该命令编译的依赖...
关于Android Studio中build.gradle文件的gradle路径存在问题
dependencies { classpath 'com.android.tools.build:gradle:2.0.0-alpha3' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files
Android Studio 升级到3.0,gradle升级到4.1后报错
将AS升级到3.0,gradle 升级到4.1之后出现这个问题Error:Unable to resolve dependency for ‘:app@stage/compileClasspath’: Could not resolve project :library_base.意思就是在你的app的build.gradle 文件中有buildTypes { release {
将Android开源项目通过Gradle发布到bintray/Jcenter
我们经常在github上看到有的项目可以通过gradle的compile一个包的方式将第三方开源项目加入到我们的项目中,那么这是怎么做到的呢?想将自己的开源项目变成这种形式,让别人也可以compile,需要进行以下步骤: 一、在项目中保存bintray帐号信息 首先,我们需要一个bintray帐号,通过https://bintray.com/ 进行注册。 在注册完毕之后,我们需要获得bi
gradle与gradle wrapper关系,以及版本关系
转自:http://www.devdiv.com/Android-gradle_gradle_wrapper_-thread-214388-1-1.html gradle-wrapper.properties是这样的 distributionUrl=https\://services.gradle.org/distributions/gradle-2.8-all.zip 而bui
react_native环境问题
今天把项目移动到自己的电脑上进行开发,竟然出现了: Could not resolve all dependencies for configuration ':app:_debugCompile'. Could not find com.android.support:appcompat-v7:23.0.1. Searched in the following locations:
【经验】Android Gradle配置问题
翻墙后搞了一天Gradle,到处找资料,结果都不行,记录一点经验,以备之后再次出错 有时,配置Gradle出现如下错误Gradle DSL method not found:'android()' 偶然间stackoverflow上找到个可用的方法,先看看下面我的build.gradle // Top-level build file where you can add co
Gradle的高级技巧
原文:Gradle, the Applidium way 让我们继续谈论android生态中的GradleGradle是Android studio用到的一个自动构建系统,基于Groovy语法,用来管理和构建Android项目,它可以精细的处理构建过程的各个步骤和简化持续集成(CI),接下来让我们看看Gradle中一些有用的技巧。1.The dependency, mother of all dep
gradle编译spring源码过程问题整理
最近在看spring boot ,发现好多是spring中的技术或概念,于是找了一本书《Spring源码深度解析.pdf》,开始学习下源码是从git上下的,先把https://github.com/spring-projects/spring-framework  克隆成我的项目,然后为了节省时间,下载zip的方式下载到本地,接下来就是导入到开发工具eclipse了,在cmd执行:gradle c...
AndroidStudiio升级到3.1.3编译兼容性问题
我的工程原来使用的AndroidStudio的版本号是2.2.3,因为开发Android P的应用,升级到了3.1.3,自带的gradle升级到了4.4。升级之后程序各种报错,总结下来有一下几点:1.首先要更改主目录下的build.gradle文件,将dependencies { classpath 'com.android.tools.build:gradle:3.1.3' }这个改成对...
Android Studio倒入工程错误记录
1、gradle版本太低,如果倒入的工程依赖的版本较高,AndroidStudio就会自动下载并升级Gradle,由于AndroidStudio下载很慢,所以最好自己手动下载,具体步骤见 http://blog.csdn.net/zhang_ying_xian/article/details/51096487,感谢楼主。 2、Could not resolve org.slf4j:sl
gradle中classpath具体路径
的公司网络权限被限制,也不会自动下载,就会报错。很多人都不知道图片中classpath在什么地方,貌似老板版的AS没有给出具体的提示,目前的版本2.1都给出了资源找不到的具体路径。有
Gradle使用总结
Gradle使用总结一、Gradle 下载与配置 1.下载 访问https://services.gradle.org/distributions/下载指定版本的Gradle,比如Gradle-2.14.1-all.zip 2.配置 解压下载的压缩包,将gradle的路径配置到环境变量中,以mac为例: cd ~ vi .bash_profile在.bash_profile文件中配置:export
gradle-aspectj-1.6.jar
build时出现错误Could not resolve nl.eveoh:gradle-aspectj:1.6。将此文件放入此目录下即可.m2\repository\nl\eveoh\gradle-aspectj\1.6
Grails启动问题及处理
Starting process on lejp-HP/182.119.206.137 2015-2-13 8:44:39 org.codehaus.groovy.runtime.m12n.MetaInfExtensionModule newModule 璀﹀憡: Module [groovy-all] - Unable to load extension class [org.codehau
2.7-3 Android Studio 的Gradle一点理解, 查看gradle 版本和android 插件的版本
http://gradle.android-studio.org/
使用Gradle创建一个最简单的Spring Boot项目
最近在学习Spring Boot,但是由于没有科学上网,导致使用gradle开发时编译特别慢并且经常出错,遇到很多问题,看了很多博客都写的非常零碎和混乱,今天在公司看了一天的官方文档才算是刚刚入门,所以记录一下,希望能对初学者能有所帮助 开发工具及环境 JDK 1.7+ Spring Boot 要求JDK不低于,推荐使用1.8 编译工具 Gradle 安装可以
解决android studio 升级到3.0+之后 项目 dependencies报错问题
android studio 升级到3.0+之后 新建项目总是报错:Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3. Unable to resolve dependency for ':a...
android开发之使用gradle终端下build项目
1. 快速开始 1.1. 最基本的build.gradle写法 首先, build.gradle文件应该放在你的项目的根目录下。如果你的项目目录结构遵从最新的android项目目录结构(基于gradle, 具体见下文介绍), 那么最基本的build.gradle内容如下: buildscript { repositories { jcenter()
Android Gradle的理解以及升级Gradle插件3.0.1遇到的坑
Gradle简介 开始填坑之前,先简单聊聊gradle,Gradle其实就是一个构建项目的工具,也就是把那一个个文件、文件夹按照一定的规则关联起来,形成一个项目的工具,它其实不仅仅是用在AndroidStudio上。 我们在AS中用到的Gradle其实应该被叫做 Android Gradle Plugin,也就是安卓项目上的gradle插件; Gradle插件会有版本号,每个版本号又对应有一
升级android studio3.0遇到的问题
问题1 场景: Error:A problem occurred configuring root project '项目名'. > Could not resolve all dependencies for configuration ':classpath'.    > Timeout waiting to lock artifact cache (/Users/Skyf/.grad
Gradle依赖的统一管理
Gradle依赖的统一管理在项目的根目录创建一个gradle配置文件config.gradle,内容如下:ext{ android = [ compileSdkVersion: 23, buildToolsVersion: "23.0.2", applicationId: "com.cgj.
android问题解答
Q1:android studio出现错误:Error:Could not resolve all files for configuration ':app:debugAndroidTestRuntimeClasspath'. > Could not download junit.jar (junit:junit:4.12) > Could not get resource 'https://jc
彻底弄明白Gradle相关配置
初识Gradle Gradle是一个基于Apache Ant和Apache Maven概念的项目自动化建构工具。它使用一种基于Groovy的特定领域语言来声明项目设置,而不是传统的XML。当前其支持的语言限于Java、Groovy和Scala,计划未来将支持更多的语言。 怎么看上面都是一段很官方的解释,对于入门的人来说简直是一个噩梦般的解释(包括以前的我)。那下面我就用通俗一点语言说说我的理解...
8、解决Gradle dependencies compile jar包冲突、重复问题
一、情景复现:在使用 dependencies { compile … } 添加 libs时,经常遇到同一个lib 出现了两个不同的版本,导致不同的问题。 例如:工程 A 添加了 rxandroid:2.0.1 和adapter-rxjava 两个libs 而adapter-rxjava中使用了rxandroid:1.1.5 ,这样在工程中就会出现两个不同版本rxandroid.
gradle clean 失败的因素之一(连不上网)
bash: /Users/nfxchunyun/development/adt-bundle-mac-x86_64-20140321/sdk/tools: is a directory localhost:trunk nfxchunyun$ gradle clean                                                 FAILURE: Build
Android 深入gradle环境变量配置和gradle插件版本,打成jar包
gradle 版本和android 插件版本如下如图,Ctrl+Alt+Shift+S 快捷打开 2.如何异步下载gradle文件如下图异步之后多的部分文件3.在gradle-wrapper.properties 中看gradle版本 4.gradle的多种表示形式 dependencies { classpath 'com.android.tools.build:gradle:
Android Studio集成crashlytics后无法编译的问题
问题描述: 在用fabric集成后编译出现如下错误, Error:Cause: hostname in certificate didn't match: != OR OR   build.gradle部分脚本(fabric插件自动生成的): buildscript { repositories { maven { url 'https://mav
Eclipse集成的gradle,在执行Gradle(STS)-Refresh All,无法更新代码,导致报错
操作:在使用Eclipse的插件gradle上,执行Refresh All后,代码依赖的jar包内,代码不是最新的。由于传入的参数不同,导致代码一直报错。(将jar包内的 class 反编译查看源码) 期间,检查远程库jar包代码,有更新为最新。 自己本地打包,gradle命令输入 build,本地的包,代码里也最新。 但是Refresh All后项目引用的jar包内,代码却是老的。 尝试...
gradle dependencies 无法显示依赖树的问题
有时要分析依赖树,但发现app:dependencies task居然啥都不显示。上网找了半天发一个方案: subprojects { task allDeps(type: DependencyReportTask) {} } 原文地址:https://solidsoft.wordpress.com/2014/11/13/gradle-tricks-display-dependenci
文章热词 机器学习 机器学习课程 机器学习教程 深度学习视频教程 深度学习学习
相关热词 android gradle pulgin android-23 resolve target to 安卓unable androidstudio gradle net.sf.json.jsonobject python教程+chm python教程百家号